Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.util.data
Class StatCollectorCSAMM

    java.lang.Object
      org.ascape.util.data.StatCollector
          org.ascape.util.data.StatCollectorCSA
              org.ascape.util.data.StatCollectorCSAMM

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable, DataPoint, HasName

Direct Known Subclasses:
  DataSeries, StatCollectorCondCSAMM, StatCollectorCSAMMVar

    public class StatCollectorCSAMM

extends StatCollectorCSA

Stores aggregate data for values obtained for a statistic, including running sum, average, minimum and maximum. See StatCollectorCSA for an example.

Since:
  1.0
Version:
  1.2
Author:
  Miles Parker
See Also:
  `StatCollector`, `StatCollectorCond`, Serialized Form

Field Summary

Fields inherited from class org.ascape.util.data.StatCollectorCSA
`sum`

Fields inherited from class org.ascape.util.data.StatCollector
`allMeasureNames, allMeasureNamesShort, autoCollect, COLLECTING, count, name, NOT_COLLECTING, SET_BY_DATAGROUP`

Constructor Summary
`StatCollectorCSAMM()` Constructs a new StatCollectorCSAMM.
`StatCollectorCSAMM(java.lang.String name)` Constructs a new StatCollectorCSAMM.
`StatCollectorCSAMM(java.lang.String name, boolean autoCollect)` Constructs a new StatCollectorCSAMM.

Method Summary
`void` | `addValue(double value)` Add the value, incrementing count, adding sum, and checking for minimum and maximum.
`void` | `clear()` Sets all values statistics to base values (0 or max.)
`double` | `getMax()` Returns the maximum value added.
`double` | `getMin()` Returns the minimum value added.

Methods inherited from class org.ascape.util.data.StatCollectorCSA
`getAvg, getSum, getTotal`

Methods inherited from class org.ascape.util.data.StatCollector
`addValueFor, calculateCollection, calculateIterator, calculateValue, compareTo, createDataSeries, getAllDataSeries, getAllMeasureNames, getAllMeasureNamesShort, getCollectingLongitudinalDataMode, getCount, getDataGroup, getDataSeries, getName, getValue, isAutoCollect, isCalculated, isCollectingLongitudinalData, isPhase2, setAutoCollect, setCollectingLongitudinalDataMode, setDataGroup, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StatCollectorCSAMM

    public StatCollectorCSAMM()

  Constructs a new StatCollectorCSAMM.

### StatCollectorCSAMM

    public StatCollectorCSAMM(java.lang.String name,
                              boolean autoCollect)

  Constructs a new StatCollectorCSAMM.

  Parameters:
    `name` - the name of the stat collector.
    `autoCollect` - should the stat be collected automatically?

### StatCollectorCSAMM

    public StatCollectorCSAMM(java.lang.String name)

  Constructs a new StatCollectorCSAMM. (Automatic by default.)

  Parameters:
    `name` - the name of the stat collector.

Method Detail

### clear

    public void clear()

  Sets all values statistics to base values (0 or max.)

  Overrides:
    `clear` in class `StatCollectorCSA`

### addValue

    public void addValue(double value)

  Add the value, incrementing count, adding sum, and checking for minimum and maximum.

  Overrides:
    `addValue` in class `StatCollectorCSA`

### getMin

    public double getMin()

  Returns the minimum value added. Returns 0.0 if no value has been added yet.

### getMax

    public double getMax()

  Returns the maximum value added. Returns 0.0 if no value has been added yet.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD